## wput 0.5

=== Makefile ===
#wput makefile
prefix      = /usr/local
mandir	    = $(prefix)/man/man1
exec_prefix = ${prefix}
bindir=${exec_prefix}/bin

all clean win-clean: 
	cd src && $(MAKE) $@
install: all
	cp wput $(bindir)
	cp doc/wput.1.gz $(mandir) 
	@echo "----------------"
	@echo "Wput installed. See 'wput -h' or 'man wput' for usage information."
	@echo "Further documentation is located in the doc/USAGE.* files."
	@echo 
	@echo "Wput is not perfect, so please report any bugs you notice (see BUGS-section"
	@echo "in the manpage)."
	@echo "----------------"
uninstall:
	rm -f $(bindir)/wput
	rm -f $(mandir)/wput.1.gz

=== src/Makefile ===
#wput.mk
#mm make file for wput
SHELL=/bin/sh
prefix=/usr/local
bindir=${exec_prefix}/bin
CC=gcc
CFLAGS=  -Wall  -g
LIBS=
EXE=../wput
GETOPT=
MEMDBG=
OBJ=wput.o ftp.o utils.o progress.o socket.o queue.o ftp-ls.o $(GETOPT) $(MEMDBG)
HEAD=wput.h ftp.h utils.h progress.h socket.h _queue.h windows.h ../config.h

all: wput

wput.o ftp.o: $(HEAD)
$(OBJ): utils.h windows.h wput.h
utils.o socket.o: socket.h
progress.o: progress.h 
queue.o: _queue.h progress.h ftp.h
ftp-ls.o: ftp.h

wput:   $(OBJ)
	$(CC) -o $(EXE) $(OBJ) $(LIBS)
clean:
	rm -f *.o *~ *.bak ../wput getopt/*.o
win-clean: clean
	rm -r msvcpp/[Dd]ebug msvcpp/[Rr]elease ../wput.exe

## wput 0.6

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,22 @@
 #wput makefile
+PACKAGE     = wput
 prefix      = /usr/local
-mandir	    = $(prefix)/man/man1
+datadir     = $(prefix)/share
+mandir	    = $(datadir)/man/man1
 exec_prefix = ${prefix}
 bindir=${exec_prefix}/bin
 
-all clean win-clean: 
-	cd src && $(MAKE) $@
+all clean:
+	cd po && $(MAKE) $(MAKEDEFS) $@
+	cd src && $(MAKE) $(MAKEDEFS) $@
+	
+win-clean:
+	cd src && $(MAKE) $(MAKEDEFS) $@
+
 install: all
-	cp wput $(bindir)
-	cp doc/wput.1.gz $(mandir) 
+	cd po && $(MAKE) $(MAKEDEFS) $@
+	install -m0755 wput $(bindir)
+	install -m0644 doc/wput.1.gz $(mandir)
 	@echo "----------------"
 	@echo "Wput installed. See 'wput -h' or 'man wput' for usage information."
 	@echo "Further documentation is located in the doc/USAGE.* files."

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2004 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.14

PACKAGE = wput
VERSION = 0.6

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${prefix}/share
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_builddir)/./mkinstalldirs
mkinstalldirs = $(SHELL) $(MKINSTALLDIRS)

GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  de.po it.po
GMOFILES =  de.gmo it.gmo
UPDATEPOFILES =  de.po-update it.po-update
DUMMYPOFILES =  de.nop it.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in $(DOMAIN).pot stamp-po \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../src/wput.c \
     ../src/netrc.c \
     ../src/ftp.c \
     ../src/socketlib.c \
     ../src/ftplib.c \
     ../src/utils.c \
     ../src/queue.c \
     ../src/progress.c \
     ../src/ftp-ls.c

CATALOGS =  de.gmo it.gmo

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Hagen Fritsch

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = http://sourceforge.net/tracker/?group_id=141519

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: stamp-po
all-no:

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@echo "touch stamp-po"
	@echo timestamp > stamp-poT
	@mv stamp-poT stamp-po

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
	  --msgid-bugs-address='$(MSGID_BUGS_ADDRESS)'
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
	    fi; \
	  done; \
	done

install-strip: install

installdirs: installdirs-exec installdirs-data
installdirs-exec:
installdirs-data: installdirs-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	else \
	  : ; \
	fi
installdirs-data-no:
installdirs-data-yes:
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	    fi; \
	  done; \
	done

# Define this as empty until I found a useful application.
installcheck:

uninstall: uninstall-exec uninstall-data
uninstall-exec:
uninstall-data: uninstall-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
uninstall-data-no:
uninstall-data-yes:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	  done; \
	done

check: all

info dvi ps pdf html tags TAGS ctags CTAGS ID:

mostlyclean:
	rm -f remove-potcdate.sed
	rm -f stamp-poT
	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"

=== src/Makefile ===
#wput.mk
#mm make file for wput
SHELL=/bin/sh
prefix=/usr
bindir=${exec_prefix}/bin
localedir=$(prefix)/share/locale
CC=gcc
CFLAGS=  -Wall  -g -DLOCALEDIR=\"$(localedir)\" -INONE/include
LIBS=   -lgnutls-openssl
EXE=../wput
GETOPT=
MEMDBG=
OBJ=wput.o netrc.o ftp.o ftplib.o utils.o progress.o socketlib.o queue.o ftp-ls.o $(GETOPT) $(MEMDBG)
HEAD=wput.h netrc.h ftp.h ftplib.h utils.h progress.h socketlib.h _queue.h windows.h config.h constants.h

all: wput

wput.o ftp.o queue.o: $(HEAD)
$(OBJ): utils.h windows.h constants.h config.h
socketlib.o: socketlib.h
progress.o: progress.h
ftplib.o: socketlib.h ftplib.h
ftp-ls.o: ftp.h wget.h url.h

wput:   $(OBJ)
	$(CC) -o $(EXE) $(OBJ) $(LIBS)
clean:
	rm -f *.o *~ *.bak ../wput getopt/*.o
win-clean: clean
	rm -r msvcpp/[Dd]ebug msvcpp/[Rr]elease ../wput.exe

## wput 0.6.2

=== debian/changelog ===
wput (0.6.2-3) unstable; urgency=low

  * debian/clean
    - Add wput.hardened (hardened compilation result).
  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): Update to debhelper 9, add autotools-dev.
    - (Standards-Version): update to 3.9.3.1
  * debian/copyright
    - Update to format 1.0.
  * debian/patches
    - (31): New. Order options alphabetically and use -o, --option syntax.
  * debian/rules
    - Delete unnecessary targets.
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/*.mk
    - (debian-save-restore): New file.
    - Minor updates to other *.mk files.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 24 Mar 2012 04:32:09 -0400

wput (0.6.2-2) unstable; urgency=low

  * debian/rules
    - (config-stamp): Move "config-patch" before ./configure to install
      new config.{sub,guess} files (AVR32 FTBFS; Closes: #561378).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 16 Dec 2009 23:03:46 +0200

wput (0.6.2-1) unstable; urgency=low

  * New maintainer (Closes: #546992).
  * Move to format: 3.0 (quilt).
  * New upstream release.
    - (Closes: #511554): wput says file does not exist on big files.
  * debian/clean
    - New file.
  * debian/control
    - (Build-Depends): use debhelper 7.
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): update to 3.8.3.
    - (Vcs-*): add.
  * debian/copyright
    - Adjust layout.
    - Use FSF URL.
  * debian/debian-{vars,autotools}:
    - New files.
  * debian/patches
    - (10, 11, 12): Add compilation cleanups.
  * debian/rules
    - (binary-arch): restore saved config.* files to prevent them
      from appearing in diff. This causes some lintian warning (see below).
    - (config-stamp): save old config.* files and use new ones from Debian.
  * debian/source/format
    - New file. Format: 1.0.
  * debian/source.lintian-overrides
    - New file. Ignore old config.* warnings (see rules::binary-arch).
  * debian/wput.{docs,examples,install,manpages}
    - New files.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 16 Dec 2009 00:25:43 +0200

wput (0.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix double-build FTBFS (Closes: #442765) by tweaking debian/rules:
    - Call "$(MAKE) clean" rather than "$(MAKE) distclean" since the
      latter doesn't exist.
    - Don't ignore "$(MAKE) clean" errors anymore, by checking for the
      presence of a Makefile.
    - Do not remove config.status since it's needed for the "clean" run
      in po/Makefile.
    - Remove doc/wput.1.gz through dh_clean.
    - Based on a patch by Kartik Mistry.
  * Move the config.{guess,sub} update to the config.status target, remove
    them in the clean target, they are now kept out of the Debian diff.
  * Use dh_install on wput and doc/wput.1, remove now useless gzip call,
    as well as useless (commented) dh_* calls.
  * Delete debian/dirs, no longer needed now that dh_install is used.
  * Move the Homepage from the description to a source field.
  * Bump Standards-Version from 3.7.2 to 3.7.3, no changes needed.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 26 Feb 2008 18:52:18 +0100

wput (0.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated to Standards-Version 3.7.2.
    + Added libgnutls-dev Build-Depends.
  * doc/wput.1:
    + Fixed hyphen-used-as-minus-sign in manpage.
    + Fixed version number in manpage.

 -- Khalid El Fathi <invent@edena-fr.org>  Mon,  3 Jul 2006 14:38:17 +0200

wput (0.5-3) unstable; urgency=low

  * debian/control: Updated to Standards-Version 3.6.2 and download location.
  * debian/copyright: Updated download location and address of Free Software
    Foundation.

 -- Khalid El Fathi <invent@edena-fr.org>  Wed, 31 Aug 2005 21:48:44 +0200

wput (0.5-2) unstable; urgency=low

  * Bug fix: "Typo in description times-tamping->time-stamping"
    (Closes: #310896).

 -- Khalid El Fathi <invent@edena-fr.org>  Thu, 16 Jun 2005 10:10:57 +0200

wput (0.5-1) unstable; urgency=low

  * New upstream release

 -- Khalid El Fathi <invent@edena-fr.org>  Mon,  6 Dec 2004 23:57:25 +0100

wput (0.4.1-1) unstable; urgency=low

  * Initial Release (Closes: bug#276991).
  * This is my first Debian package. ;)

 -- Khalid El Fathi <invent@edena-fr.org>  Sun, 17 Oct 2004 23:52:51 +0200

=== debian/control ===
Source: wput
Section: web
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), libgnutls-dev, autotools-dev
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/wput.git
Vcs-Git: git://git.debian.org/git/collab-maint/wput.git
Homepage: http://freshmeat.net/projects/wput

Package: wput
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tiny wget-like ftp-client for uploading files
 Wput is a tiny ftp-client, that uploads files or directories to a
 remote ftp-server.
 .
 Main features are: resuming, time-stamping, wget-like interface,
 proxy-support and speed-limit.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = wput

include debian/debian-vars.mk
include debian/debian-autotools.mk
include debian/debian-save-restore.mk

# Original sources modified by build process
FILE_LIST_PRESERVE = \
 doc/wdel.1~ \
 doc/wput.1~ \
 config.status \
 Makefile \
 po/Makefile \
 po/Makefile.in \
 src/Makefile \
 src/config.h

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# _XOPEN_SOURCE is needed for
# ftp-ls.c:851: warning: implicit declaration of function 'strptime'
DEBFLAGS = -D_XOPEN_SOURCE=600 $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)

override_dh_auto_configure:
	$(config-save)
	$(config-patch)
	dh_auto_configure
	$(config-restore)

override_dh_auto_build:
	$(MAKE) -C src CC="$(CC) $(DEBFLAGS)"
	# Copy this compiling result. The dh_auto_install step causes
	# recompilation (without our flags).
	cp --archive wput wput.hardened
	$(MAKE) -C po

override_dh_install:
	dh_install
	# Replace binary with one compiled with our flags
	install -m 755 wput.hardened $(CURDIR)/debian/$(PACKAGE)/usr/bin/wput
	$(file-state-restore-copy)

override_dh_clean:
	$(file-state-save)
	dh_clean

%:
	dh $@

# End of file

## wput 0.6.2%2Bgit20130413

=== po/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Origin: gettext-0.14
 
 PACKAGE = wput
-VERSION = 0.6
+VERSION = 0.6.2
 
 SHELL = /bin/sh
 
@@ -40,10 +40,10 @@
 MSGCONV = msgconv
 MSGFILTER = msgfilter
 
-POFILES =  de.po it.po
-GMOFILES =  de.gmo it.gmo
-UPDATEPOFILES =  de.po-update it.po-update
-DUMMYPOFILES =  de.nop it.nop
+POFILES =  cs.po da.po de.po el.po en_GB.po es.po fi.po fr.po gl.po it.po ja.po nl.po pl.po pt_BR.po ru.po sv.po tr.po uk.po zh_CN.po zh_HK.po
+GMOFILES =  cs.gmo da.gmo de.gmo el.gmo en_GB.gmo es.gmo fi.gmo fr.gmo gl.gmo it.gmo ja.gmo nl.gmo pl.gmo pt_BR.gmo ru.gmo sv.gmo tr.gmo uk.gmo zh_CN.gmo zh_HK.gmo
+UPDATEPOFILES =  cs.po-update da.po-update de.po-update el.po-update en_GB.po-update es.po-update fi.po-update fr.po-update gl.po-update it.po-update ja.po-update nl.po-update pl.po-update pt_BR.po-update ru.po-update sv.po-update tr.po-update uk.po-update zh_CN.po-update zh_HK.po-update
+DUMMYPOFILES =  cs.nop da.nop de.nop el.nop en_GB.nop es.nop fi.nop fr.nop gl.nop it.nop ja.nop nl.nop pl.nop pt_BR.nop ru.nop sv.nop tr.nop uk.nop zh_CN.nop zh_HK.nop
 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in $(DOMAIN).pot stamp-po \
@@ -61,7 +61,7 @@
      ../src/progress.c \
      ../src/ftp-ls.c
 
-CATALOGS =  de.gmo it.gmo
+CATALOGS =  cs.gmo da.gmo de.gmo el.gmo en_GB.gmo es.gmo fi.gmo fr.gmo gl.gmo it.gmo ja.gmo nl.gmo pl.gmo pt_BR.gmo ru.gmo sv.gmo tr.gmo uk.gmo zh_CN.gmo zh_HK.gmo
 
 # Makevars gets inserted here. (Don't remove this line!)
 # Makefile variables for PO directory in any package using GNU gettext.
@@ -297,37 +297,3 @@
 uninstall-exec:
 uninstall-data: uninstall-data-yes
 	if test "$(PACKAGE)" = "gettext-tools"; then \
-	  for file in $(DISTFILES.common) Makevars.template; do \
-	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
-	  done; \
-	else \
-	  : ; \
-	fi
-uninstall-data-no:
-uninstall-data-yes:
-	catalogs='$(CATALOGS)'; \
-	for cat in $$catalogs; do \
-	  cat=`basename $$cat`; \
-	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
-	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
-	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
-	  done; \
-	done
-
-check: all
-
-info dvi ps pdf html tags TAGS ctags CTAGS ID:
-
-mostlyclean:
-	rm -f remove-potcdate.sed
-	rm -f stamp-poT
-	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
-	rm -fr *.o
-
-clean: mostlyclean
-
-distclean: clean
-	rm -f Makefile Makefile.in POTFILES *.mo
-
-maintainer-clean: distclean
-	@echo "This command is intended for maintainers to use;"

=== debian/control ===
Source: wput
Section: web
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper (>= 9), libgnutls-openssl-dev, autotools-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wput.git
Vcs-Git: git://anonscm.debian.org/collab-maint/wput.git
Homepage: http://wput.sourceforge.net/

Package: wput
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tiny wget-like ftp-client for uploading files
 Wput is a tiny ftp-client, that uploads files or directories to a
 remote ftp-server.
 .
 Main features are: resuming, time-stamping, wget-like interface,
 proxy-support and speed-limit.

## wput 0.6.2+git20130413

=== Makefile ===
--- 
+++ 
@@ -9,16 +9,22 @@
 all clean:
 	cd po && $(MAKE) $(MAKEDEFS) $@
 	cd src && $(MAKE) $(MAKEDEFS) $@
-	
+	cd doc && $(MAKE) $(MAKEDEFS) $@
+
 win-clean:
 	cd src && $(MAKE) $(MAKEDEFS) $@
 
 install: all
 	cd po && $(MAKE) $(MAKEDEFS) $@
+	mkdir -p $(bindir) 
+	mkdir -p $(mandir) 
 	install -m0755 wput $(bindir)
 	install -m0644 doc/wput.1.gz $(mandir)
+	ln -sf $(bindir)/wput $(bindir)/wdel
+	install -m0644 doc/wdel.1.gz $(mandir)
 	@echo "----------------"
-	@echo "Wput installed. See 'wput -h' or 'man wput' for usage information."
+	@echo "Wput and Wdel installed. See 'wput/wdel -h' or 'man wput/wdel' for"
+	@echo "usage information."
 	@echo "Further documentation is located in the doc/USAGE.* files."
 	@echo 
 	@echo "Wput is not perfect, so please report any bugs you notice (see BUGS-section"
@@ -26,5 +32,7 @@
 	@echo "----------------"
 uninstall:
 	rm -f $(bindir)/wput
+	rm -f $(bindir)/wdel
 	rm -f $(mandir)/wput.1.gz
+	rm -f $(mandir)/wdel.1.gz

=== doc/Makefile ===
all:
	gzip < wput.1 > wput.1.gz
	gzip < wdel.1 > wdel.1.gz
clean:
	rm -f wput.1.gz wdel.1.gz

=== debian/changelog ===
wput (0.6.2+git20130413-8) unstable; urgency=medium

  * Migrate to Salsa.
  * Remove obsolete Lintian overrides.
  * Delete src/config.h to allow building twice in a row.
  * Remove obsolete build dependency on autotools-dev.
  * Update debian/copyright.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 17 May 2018 00:08:24 +0200

wput (0.6.2+git20130413-7) unstable; urgency=medium

  * Switch to debhelper compatibility level 10 and fix configure.in so
    autoreconf works, which allows Marcos’ fix to actually take effect
    (really, really LP: #1678463).

 -- Stephen Kitt <skitt@debian.org>  Thu, 08 Jun 2017 20:49:57 +0200

wput (0.6.2+git20130413-6) unstable; urgency=medium

  * Add patch by Marcos Diez so that configure finds TLS support on Ubuntu
    (really LP: #1678463); thanks Marcos!

 -- Stephen Kitt <skitt@debian.org>  Thu, 08 Jun 2017 08:31:47 +0200

wput (0.6.2+git20130413-5) unstable; urgency=medium

  * Actually build with TLS support (LP: #1678463).

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 Jun 2017 16:39:05 +0200

wput (0.6.2+git20130413-4) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Add patch to avoid overrunning buffers, thanks to Oldřich Jedlička.
    (LP: #949689 and hopefully Closes: #733304).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Add more spelling fixes.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Dec 2016 21:57:19 +0100

wput (0.6.2+git20130413-3) unstable; urgency=medium

  * Account for ASCII conversions when calculating buffer limits; thanks
    to 左刚 for the patch! (Closes: #492950, #801949.)
  * Remove generated Makefiles in po when cleaning, to allow building
    twice in a row.
  * Correct debian/copyright.
  * Simplify the build.
  * Fix spelling of "Transferred".
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Oct 2015 18:36:12 +0200

wput (0.6.2+git20130413-2) unstable; urgency=low

  * Build-depend on libgnutls-openssl-dev, thanks Andreas Metzler for the
    patch. (Closes: #731559.)
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 Dec 2013 11:01:09 +0100

wput (0.6.2+git20130413-1) unstable; urgency=low

  * New maintainer, thanks Jari for all your work on this package!
    (Closes: #701867.)
  * New upstream snapshot.
  * Drop patches 10 and 12, fixed upstream.
  * Refresh patch 11, and move _XOPEN_SOURCE declaration from debian/rules
    to the patch.
  * Refresh patches 30, 31 and 40.
  * Specify sf.net project page as homepage.
  * Always rebuild the .gmo files, and handle the absence of
    config.status.
  * Use canonical VCS URIs.
  * Standards-Version 3.9.4, no change required.
  * Drop -Wl,--as-needed, it prevents configure finding gnutls.
  * Test gnutls without gcrypt. (Closes: #638663.)

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 Oct 2013 01:10:08 +0200

=== debian/control ===
Source: wput
Maintainer: Stephen Kitt <skitt@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper (>= 11~),
               libgcrypt20-dev,
               libgnutls-openssl-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/wput
Vcs-Git: https://salsa.debian.org/debian/wput.git
Homepage: http://wput.sourceforge.net/

Package: wput
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: tiny wget-like ftp-client for uploading files
 Wput is a tiny ftp-client, that uploads files or directories to a
 remote ftp-server.
 .
 Main features are: resuming, time-stamping, wget-like interface,
 proxy-support and speed-limit.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic

override_dh_auto_clean:
	touch config.status
	dh_auto_clean
	rm -f config.status

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/wput/wput-(\d.+)\.tgz
